DecimalSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.serializers

## Class DecimalSerializer

- java.lang.Object
- - org.apache.cassandra.serializers.DecimalSerializer

- All Implemented Interfaces:
    TypeSerializer<java.math.BigDecimal>

      public class DecimalSerializer
      extends java.lang.Object
      implements TypeSerializer<java.math.BigDecimal>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DecimalSerializer` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecimalSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `deserialize(java.nio.ByteBuffer bytes)`
    `java.lang.Class<java.math.BigDecimal>` | `getType()`
    `java.nio.ByteBuffer` | `serialize(java.math.BigDecimal value)`
    `java.lang.String` | `toString(java.math.BigDecimal value)`
    `void` | `validate(java.nio.ByteBuffer bytes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.serializers.TypeSerializer

      `toCQLLiteral`

- - ### Field Detail

    - #### instance

          public static final DecimalSerializer instance

  - ### Constructor Detail

    - #### DecimalSerializer

          public DecimalSerializer()

  - ### Method Detail

    - #### deserialize

          public java.math.BigDecimal deserialize(java.nio.ByteBuffer bytes)

      Specified by:
        `deserialize` in interface `TypeSerializer<java.math.BigDecimal>`

    - #### serialize

          public java.nio.ByteBuffer serialize(java.math.BigDecimal value)

      Specified by:
        `serialize` in interface `TypeSerializer<java.math.BigDecimal>`

    - #### validate

          public void validate(java.nio.ByteBuffer bytes)
                        throws MarshalException

      Specified by:
        `validate` in interface `TypeSerializer<java.math.BigDecimal>`
      Throws:
        `MarshalException`

    - #### toString

          public java.lang.String toString(java.math.BigDecimal value)

      Specified by:
        `toString` in interface `TypeSerializer<java.math.BigDecimal>`

    - #### getType

          public java.lang.Class<java.math.BigDecimal> getType()

      Specified by:
        `getType` in interface `TypeSerializer<java.math.BigDecimal>`

Copyright © 2018 The Apache Software Foundation